Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.xml
Interface TaskConstructionXMLDocument.TaskConstructionXML

All Superinterfaces:
  TaskCreationXMLType, XmlObject, XmlTokenSource

Enclosing interface:
  TaskConstructionXMLDocument

    public static interface TaskConstructionXMLDocument.TaskConstructionXML

extends TaskCreationXMLType

An XML TaskConstructionXML(@http://www.bea.com/wli/worklist/xml). This is a complex type.

Nested Class Summary
`static class` | `TaskConstructionXMLDocument.TaskConstructionXML.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`AssignmentInstructionsType` | `addNewAssignmentInstructions()` Appends and returns a new empty "assignmentInstructions" element
`ContainerHandleType` | `addNewCreatingContainerHandle()` Appends and returns a new empty "creatingContainerHandle" element
`BusinessDateType` | `addNewCurrentStepCompletionDueBusinessDate()` Appends and returns a new empty "currentStepCompletionDueBusinessDate" element
`PropertyValuesType` | `addNewInitialPropertyValues()` Appends and returns a new empty "initialPropertyValues" element
`StepTimeEstimateType` | `addNewStepTimeEstimate()` Appends and returns a new empty value (as xml) as the last "stepTimeEstimate" element
`AssignmentInstructionsType` | `getAssignmentInstructions()` Gets the "assignmentInstructions" element
`ContainerHandleType` | `getCreatingContainerHandle()` Gets the "creatingContainerHandle" element
`Calendar` | `getCreationDate()` Gets the "creationDate" element
`BusinessDateType` | `getCurrentStepCompletionDueBusinessDate()` Gets the "currentStepCompletionDueBusinessDate" element
`Calendar` | `getCurrentStepCompletionDueDate()` Gets the "currentStepCompletionDueDate" element
`PropertyValuesType` | `getInitialPropertyValues()` Gets the "initialPropertyValues" element
`StepTimeEstimateType[]` | `getStepTimeEstimateArray()` Gets array of all "stepTimeEstimate" elements
`StepTimeEstimateType` | `getStepTimeEstimateArray(int i)` Gets ith "stepTimeEstimate" element
`String` | `getTaskPlanId()` Gets the "taskPlanId" element
`String` | `getTaskTimeEstimate()` Gets the "taskTimeEstimate" element
`StepTimeEstimateType` | `insertNewStepTimeEstimate(int i)` Inserts and returns a new empty value (as xml) as the ith "stepTimeEstimate" element
`boolean` | `isSetAssignmentInstructions()` True if has "assignmentInstructions" element
`boolean` | `isSetCreatingContainerHandle()` True if has "creatingContainerHandle" element
`boolean` | `isSetCurrentStepCompletionDueBusinessDate()` True if has "currentStepCompletionDueBusinessDate" element
`boolean` | `isSetCurrentStepCompletionDueDate()` True if has "currentStepCompletionDueDate" element
`boolean` | `isSetInitialPropertyValues()` True if has "initialPropertyValues" element
`boolean` | `isSetTaskPlanId()` True if has "taskPlanId" element
`boolean` | `isSetTaskTimeEstimate()` True if has "taskTimeEstimate" element
`void` | `removeStepTimeEstimate(int i)` Removes the ith "stepTimeEstimate" element
`void` | `setAssignmentInstructions(AssignmentInstructionsType assignmentInstructions)` Sets the "assignmentInstructions" element
`void` | `setCreatingContainerHandle(ContainerHandleType creatingContainerHandle)` Sets the "creatingContainerHandle" element
`void` | `setCreationDate(Calendar creationDate)` Sets the "creationDate" element
`void` | `setCurrentStepCompletionDueBusinessDate(BusinessDateType currentStepCompletionDueBusinessDate)` Sets the "currentStepCompletionDueBusinessDate" element
`void` | `setCurrentStepCompletionDueDate(Calendar currentStepCompletionDueDate)` Sets the "currentStepCompletionDueDate" element
`void` | `setInitialPropertyValues(PropertyValuesType initialPropertyValues)` Sets the "initialPropertyValues" element
`void` | `setStepTimeEstimateArray(int i, StepTimeEstimateType stepTimeEstimate)` Sets ith "stepTimeEstimate" element
`void` | `setStepTimeEstimateArray(StepTimeEstimateType[] stepTimeEstimateArray)` Sets array of all "stepTimeEstimate" element
`void` | `setTaskPlanId(String taskPlanId)` Sets the "taskPlanId" element
`void` | `setTaskTimeEstimate(String taskTimeEstimate)` Sets the "taskTimeEstimate" element
`int` | `sizeOfStepTimeEstimateArray()` Returns number of "stepTimeEstimate" element
`void` | `unsetAssignmentInstructions()` Unsets the "assignmentInstructions" element
`void` | `unsetCreatingContainerHandle()` Unsets the "creatingContainerHandle" element
`void` | `unsetCurrentStepCompletionDueBusinessDate()` Unsets the "currentStepCompletionDueBusinessDate" element
`void` | `unsetCurrentStepCompletionDueDate()` Unsets the "currentStepCompletionDueDate" element
`void` | `unsetInitialPropertyValues()` Unsets the "initialPropertyValues" element
`void` | `unsetTaskPlanId()` Unsets the "taskPlanId" element
`void` | `unsetTaskTimeEstimate()` Unsets the "taskTimeEstimate" element
`XmlDateTime` | `xgetCreationDate()` Gets (as xml) the "creationDate" element
`XmlDateTime` | `xgetCurrentStepCompletionDueDate()` Gets (as xml) the "currentStepCompletionDueDate" element
`XmlString` | `xgetTaskPlanId()` Gets (as xml) the "taskPlanId" element
`XmlString` | `xgetTaskTimeEstimate()` Gets (as xml) the "taskTimeEstimate" element
`void` | `xsetCreationDate(XmlDateTime creationDate)` Sets (as xml) the "creationDate" element
`void` | `xsetCurrentStepCompletionDueDate(XmlDateTime currentStepCompletionDueDate)` Sets (as xml) the "currentStepCompletionDueDate" element
`void` | `xsetTaskPlanId(XmlString taskPlanId)` Sets (as xml) the "taskPlanId" element
`void` | `xsetTaskTimeEstimate(XmlString taskTimeEstimate)` Sets (as xml) the "taskTimeEstimate" element

Methods inherited from interface com.bea.wli.worklist.xml.TaskCreationXMLType
`addNewAssignee, addNewClaimDueBusinessDate, addNewCompletionDueBusinessDate, addNewRequest, getAssignee, getCanBeAborted, getCanBeReassigned, getCanBeReturned, getClaimDueBusinessDate, getClaimDueDate, getComment, getCompletionDueBusinessDate, getCompletionDueDate, getDescription, getName, getOwner, getPriority, getRequest, isSetAssignee, isSetCanBeAborted, isSetCanBeReassigned, isSetCanBeReturned, isSetClaimDueBusinessDate, isSetClaimDueDate, isSetComment, isSetCompletionDueBusinessDate, isSetCompletionDueDate, isSetDescription, isSetName, isSetOwner, isSetPriority, isSetRequest, setAssignee, setCanBeAborted, setCanBeReassigned, setCanBeReturned, setClaimDueBusinessDate, setClaimDueDate, setComment, setCompletionDueBusinessDate, setCompletionDueDate, setDescription, setName, setOwner, setPriority, setRequest, unsetAssignee, unsetCanBeAborted, unsetCanBeReassigned, unsetCanBeReturned, unsetClaimDueBusinessDate, unsetClaimDueDate, unsetComment, unsetCompletionDueBusinessDate, unsetCompletionDueDate, unsetDescription, unsetName, unsetOwner, unsetPriority, unsetRequest, xgetCanBeAborted, xgetCanBeReassigned, xgetCanBeReturned, xgetClaimDueDate, xgetComment, xgetCompletionDueDate, xgetDescription, xgetName, xgetOwner, xgetPriority, xsetCanBeAborted, xsetCanBeReassigned, xsetCanBeReturned, xsetClaimDueDate, xsetComment, xsetCompletionDueDate, xsetDescription, xsetName, xsetOwner, xsetPriority`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Method Detail

### getTaskPlanId

    String getTaskPlanId()

  Gets the "taskPlanId" element

### xgetTaskPlanId

    XmlString xgetTaskPlanId()

  Gets (as xml) the "taskPlanId" element

### isSetTaskPlanId

    boolean isSetTaskPlanId()

  True if has "taskPlanId" element

### setTaskPlanId

    void setTaskPlanId(String taskPlanId)

  Sets the "taskPlanId" element

### xsetTaskPlanId

    void xsetTaskPlanId(XmlString taskPlanId)

  Sets (as xml) the "taskPlanId" element

### unsetTaskPlanId

    void unsetTaskPlanId()

  Unsets the "taskPlanId" element

### getCreatingContainerHandle

    ContainerHandleType getCreatingContainerHandle()

  Gets the "creatingContainerHandle" element

### isSetCreatingContainerHandle

    boolean isSetCreatingContainerHandle()

  True if has "creatingContainerHandle" element

### setCreatingContainerHandle

    void setCreatingContainerHandle(ContainerHandleType creatingContainerHandle)

  Sets the "creatingContainerHandle" element

### addNewCreatingContainerHandle

    ContainerHandleType addNewCreatingContainerHandle()

  Appends and returns a new empty "creatingContainerHandle" element

### unsetCreatingContainerHandle

    void unsetCreatingContainerHandle()

  Unsets the "creatingContainerHandle" element

### getCreationDate

    Calendar getCreationDate()

  Gets the "creationDate" element

### xgetCreationDate

    XmlDateTime xgetCreationDate()

  Gets (as xml) the "creationDate" element

### setCreationDate

    void setCreationDate(Calendar creationDate)

  Sets the "creationDate" element

### xsetCreationDate

    void xsetCreationDate(XmlDateTime creationDate)

  Sets (as xml) the "creationDate" element

### getCurrentStepCompletionDueDate

    Calendar getCurrentStepCompletionDueDate()

  Gets the "currentStepCompletionDueDate" element

### xgetCurrentStepCompletionDueDate

    XmlDateTime xgetCurrentStepCompletionDueDate()

  Gets (as xml) the "currentStepCompletionDueDate" element

### isSetCurrentStepCompletionDueDate

    boolean isSetCurrentStepCompletionDueDate()

  True if has "currentStepCompletionDueDate" element

### setCurrentStepCompletionDueDate

    void setCurrentStepCompletionDueDate(Calendar currentStepCompletionDueDate)

  Sets the "currentStepCompletionDueDate" element

### xsetCurrentStepCompletionDueDate

    void xsetCurrentStepCompletionDueDate(XmlDateTime currentStepCompletionDueDate)

  Sets (as xml) the "currentStepCompletionDueDate" element

### unsetCurrentStepCompletionDueDate

    void unsetCurrentStepCompletionDueDate()

  Unsets the "currentStepCompletionDueDate" element

### getCurrentStepCompletionDueBusinessDate

    BusinessDateType getCurrentStepCompletionDueBusinessDate()

  Gets the "currentStepCompletionDueBusinessDate" element

### isSetCurrentStepCompletionDueBusinessDate

    boolean isSetCurrentStepCompletionDueBusinessDate()

  True if has "currentStepCompletionDueBusinessDate" element

### setCurrentStepCompletionDueBusinessDate

    void setCurrentStepCompletionDueBusinessDate(BusinessDateType currentStepCompletionDueBusinessDate)

  Sets the "currentStepCompletionDueBusinessDate" element

### addNewCurrentStepCompletionDueBusinessDate

    BusinessDateType addNewCurrentStepCompletionDueBusinessDate()

  Appends and returns a new empty "currentStepCompletionDueBusinessDate" element

### unsetCurrentStepCompletionDueBusinessDate

    void unsetCurrentStepCompletionDueBusinessDate()

  Unsets the "currentStepCompletionDueBusinessDate" element

### getTaskTimeEstimate

    String getTaskTimeEstimate()

  Gets the "taskTimeEstimate" element

### xgetTaskTimeEstimate

    XmlString xgetTaskTimeEstimate()

  Gets (as xml) the "taskTimeEstimate" element

### isSetTaskTimeEstimate

    boolean isSetTaskTimeEstimate()

  True if has "taskTimeEstimate" element

### setTaskTimeEstimate

    void setTaskTimeEstimate(String taskTimeEstimate)

  Sets the "taskTimeEstimate" element

### xsetTaskTimeEstimate

    void xsetTaskTimeEstimate(XmlString taskTimeEstimate)

  Sets (as xml) the "taskTimeEstimate" element

### unsetTaskTimeEstimate

    void unsetTaskTimeEstimate()

  Unsets the "taskTimeEstimate" element

### getStepTimeEstimateArray

    StepTimeEstimateType[] getStepTimeEstimateArray()

  Gets array of all "stepTimeEstimate" elements

### getStepTimeEstimateArray

    StepTimeEstimateType getStepTimeEstimateArray(int i)

  Gets ith "stepTimeEstimate" element

### sizeOfStepTimeEstimateArray

    int sizeOfStepTimeEstimateArray()

  Returns number of "stepTimeEstimate" element

### setStepTimeEstimateArray

    void setStepTimeEstimateArray(StepTimeEstimateType[] stepTimeEstimateArray)

  Sets array of all "stepTimeEstimate" element

### setStepTimeEstimateArray

    void setStepTimeEstimateArray(int i,
                                  StepTimeEstimateType stepTimeEstimate)

  Sets ith "stepTimeEstimate" element

### insertNewStepTimeEstimate

    StepTimeEstimateType insertNewStepTimeEstimate(int i)

  Inserts and returns a new empty value (as xml) as the ith "stepTimeEstimate" element

### addNewStepTimeEstimate

    StepTimeEstimateType addNewStepTimeEstimate()

  Appends and returns a new empty value (as xml) as the last "stepTimeEstimate" element

### removeStepTimeEstimate

    void removeStepTimeEstimate(int i)

  Removes the ith "stepTimeEstimate" element

### getAssignmentInstructions

    AssignmentInstructionsType getAssignmentInstructions()

  Gets the "assignmentInstructions" element

### isSetAssignmentInstructions

    boolean isSetAssignmentInstructions()

  True if has "assignmentInstructions" element

### setAssignmentInstructions

    void setAssignmentInstructions(AssignmentInstructionsType assignmentInstructions)

  Sets the "assignmentInstructions" element

### addNewAssignmentInstructions

    AssignmentInstructionsType addNewAssignmentInstructions()

  Appends and returns a new empty "assignmentInstructions" element

### unsetAssignmentInstructions

    void unsetAssignmentInstructions()

  Unsets the "assignmentInstructions" element

### getInitialPropertyValues

    PropertyValuesType getInitialPropertyValues()

  Gets the "initialPropertyValues" element

### isSetInitialPropertyValues

    boolean isSetInitialPropertyValues()

  True if has "initialPropertyValues" element

### setInitialPropertyValues

    void setInitialPropertyValues(PropertyValuesType initialPropertyValues)

  Sets the "initialPropertyValues" element

### addNewInitialPropertyValues

    PropertyValuesType addNewInitialPropertyValues()

  Appends and returns a new empty "initialPropertyValues" element

### unsetInitialPropertyValues

    void unsetInitialPropertyValues()

  Unsets the "initialPropertyValues" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD